import * as basicValidation from "./basicValidation.cjs";
/**
 * This function validates the inputs of a GET request on /institutions
 */
export function validateGetInstitutionsInput() {
    return true;
}
/**
 * This function validates the outputs to a GET request on /institutions
 */
export function validateGetInstitutionsOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetInstitutionsResponse200Response(response.body)) {
            validateGetInstitutionsOutput.errors = basicValidation.validateGetInstitutionsResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetInstitutionsOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a POST request on /institutions
 */
export function validatePostInstitutionsInput(body) {
    if (!basicValidation.validatePostInstitutionsRequestBodyRequest(body)) {
        validatePostInstitutionsInput.errors = basicValidation.validatePostInstitutionsRequestBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a POST request on /institutions
 */
export function validatePostInstitutionsOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 201) {
        if (!basicValidation.validatePostInstitutionsResponse201Response(response.body)) {
            validatePostInstitutionsOutput.errors = basicValidation.validatePostInstitutionsResponse201Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePostInstitutionsOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a GET request on /institutions/{institution_id}
 */
export function validateGetInstitutionsByInstitutionIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateInstitutionIdRequest(parameters["institution_id"])) {
            validateGetInstitutionsByInstitutionIdInput.errors = basicValidation.validateInstitutionIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a GET request on /institutions/{institution_id}
 */
export function validateGetInstitutionsByInstitutionIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validateGetInstitutionsByInstitutionIdResponse200Response(response.body)) {
            validateGetInstitutionsByInstitutionIdOutput.errors = basicValidation.validateGetInstitutionsByInstitutionIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateGetInstitutionsByInstitutionIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a PATCH request on /institutions/{institution_id}
 */
export function validatePatchInstitutionsByInstitutionIdInput(parameters, body) {
    if (parameters) {
        if (!basicValidation.validateInstitutionIdRequest(parameters["institution_id"])) {
            validatePatchInstitutionsByInstitutionIdInput.errors = basicValidation.validateInstitutionIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePatchInstitutionsByInstitutionIdRequestBodyRequest(body)) {
        validatePatchInstitutionsByInstitutionIdInput.errors = basicValidation.validatePatchInstitutionsByInstitutionIdRequestBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a PATCH request on /institutions/{institution_id}
 */
export function validatePatchInstitutionsByInstitutionIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePatchInstitutionsByInstitutionIdResponse200Response(response.body)) {
            validatePatchInstitutionsByInstitutionIdOutput.errors = basicValidation.validatePatchInstitutionsByInstitutionIdResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validatePatchInstitutionsByInstitutionIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a DELETE request on /institutions/{institution_id}
 */
export function validateDeleteInstitutionsByInstitutionIdInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateInstitutionIdRequest(parameters["institution_id"])) {
            validateDeleteInstitutionsByInstitutionIdInput.errors = basicValidation.validateInstitutionIdRequest.errors;
            return false;
        }
    }
    else {
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a DELETE request on /institutions/{institution_id}
 */
export function validateDeleteInstitutionsByInstitutionIdOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 204) {
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        return true;
    }
    if (response.status === 500) {
        return true;
    }
    validateDeleteInstitutionsByInstitutionIdOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a GET request on /proxy
 */
export function validateGetProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validateGetProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a GET request on /proxy
 */
export function validateGetProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validateGetProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a POST request on /proxy
 */
export function validatePostProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validatePostProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a POST request on /proxy
 */
export function validatePostProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validatePostProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a PUT request on /proxy
 */
export function validatePutProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validatePutProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a PUT request on /proxy
 */
export function validatePutProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validatePutProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a PATCH request on /proxy
 */
export function validatePatchProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validatePatchProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a PATCH request on /proxy
 */
export function validatePatchProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validatePatchProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a DELETE request on /proxy
 */
export function validateDeleteProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validateDeleteProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a DELETE request on /proxy
 */
export function validateDeleteProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validateDeleteProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a HEAD request on /proxy
 */
export function validateHeadProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validateHeadProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a HEAD request on /proxy
 */
export function validateHeadProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validateHeadProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a OPTIONS request on /proxy
 */
export function validateOptionsProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validateOptionsProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a OPTIONS request on /proxy
 */
export function validateOptionsProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validateOptionsProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
/**
 * This function validates the inputs of a TRACE request on /proxy
 */
export function validateTraceProxyInput(parameters) {
    if (parameters) {
        if (!basicValidation.validateURLRequest(parameters["URL"])
            && parameters['URL'] !== undefined) {
            validateTraceProxyInput.errors = basicValidation.validateURLRequest.errors;
            return false;
        }
    }
    else {
        if (parameters !== undefined) {
            return false;
        }
    }
    return true;
}
/**
 * This function validates the outputs to a TRACE request on /proxy
 */
export function validateTraceProxyOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status >= 100 && response.status < 200) {
        return true;
    }
    if (response.status >= 200 && response.status < 300) {
        return true;
    }
    if (response.status >= 300 && response.status < 400) {
        return true;
    }
    if (response.status >= 400 && response.status < 500) {
        return true;
    }
    if (response.status >= 500 && response.status < 600) {
        return true;
    }
    validateTraceProxyOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
//# sourceMappingURL=requestValidation.js.map